### Method

# ECal Component set_summaries

since: 3.46

#### Declaration [src]

    void
    e_cal_component_set_summaries (
      ECalComponent* comp,
      const GSList* text_list
    )

#### Description [src]

Sets the summary of a calendar component object. The summaries can have each different language, otherwise it’s not allowed to have more than one summary property.

This does not update any alarm subcomponent description.

Available since: 3.46

#### Parameters

`text_list`

  Type: A list of `ECalComponentText*`

  List of `ECalComponentText` structures.

  The data is owned by the caller of the method.